Sender identities, sending domains and sending defaults
GET
/api/v1/workspaces/{workspace}/senders
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/senders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/senders';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/senders \ --header 'Authorization: Bearer <token>'Permission: providers:view
Verification is per sending provider: each provider signs with its own DKIM key.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
canManage
required
boolean
defaults
required
object
automationSenderId
required
string
defaultSenderId
required
string
footerAddress
required
string
replyHandling
required
string
replyOptions
required
Array<string>
replyTo
required
string
systemSenderId
required
string
trackingDomain
required
string
trackingOptions
required
Array<object>
object
domain
required
string
verified
required
boolean
transactionalSenderId
required
string
domains
required
Array<object>
object
bimi
required
object
text
required
string
tone
required
string
checkedAt
string format: date-time
dkim
required
object
text
required
string
tone
required
string
dmarc
required
object
text
required
string
tone
required
string
domain
required
string
id
required
string
note
required
string
returnPath
required
object
text
required
string
tone
required
string
senders
required
integer format: int64
spf
required
object
text
required
string
tone
required
string
status
required
string
tracking
required
object
text
required
string
tone
required
string
transactional
required
boolean
usedBy
required
Array<string>
helpers
required
Array<string>
providers
required
Array<object>
object
adapter
required
string
id
required
string
name
required
string
short
required
string
senders
required
Array<object>
object
defaultFor
required
Array<string>
domain
required
string
domainId
required
string
email
required
string
id
required
string
name
required
string
note
required
string
pending
required
boolean
replyTo
required
string
smtpRelay
required
boolean
transactional
required
boolean
verification
required
Array<object>
object
providerId
required
string
status
required
string
text
required
string
Example
{ "defaults": { "replyHandling": "forward" }, "domains": [ { "bimi": { "tone": "ok" }, "dkim": { "tone": "ok" }, "dmarc": { "tone": "ok" }, "returnPath": { "tone": "ok" }, "spf": { "tone": "ok" }, "status": "pending", "tracking": { "tone": "ok" } } ], "senders": [ { "verification": [ { "status": "verified" } ] } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}